export const getType = function (value: any): string {
  const typeofs = Object.prototype.toString.call(value);

  switch (typeofs) {
    case '[object Number]':
      return 'Number';

    case '[object String]':
      return 'String';

    case '[object Boolean]':
      return 'Boolean';

    case '[object Null]':
      return 'Null';

    case '[object Undefined]':
      return 'Undefined';

    case '[object Array]':
      return 'Array';

    case '[object Object]':
      return 'Object';

    default:
      return typeofs;
  }
};
